Bug 238310 - removing usb modules makes pcscd go nuts logging avc's.
removing usb modules makes pcscd go nuts logging avc's.
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-04-29 00:25 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 10:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-04-29 00:25:48 EDT
pcscd does its own monitoring for insertion of USB devices (instead of using
udev/hal).  Doing rmmod ehci_hcd ohci_hcd uhci_hcd results in it trying to send
signals, which selinux disallows.

setroubleshoot displays..

SELinux is preventing /usr/sbin/pcscd (pcscd_t) "signal" to (pcscd_t).
avc: denied { signal } for comm="pcscd" egid=0 euid=0 exe="/usr/sbin/pcscd"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=2741
scontext=system_u:system_r:pcscd_t:s0 sgid=0 subj=system_u:system_r:pcscd_t:s0
suid=0 tclass=process tcontext=system_u:system_r:pcscd_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-04-30 08:23:42 EDT
Fixed in selinux-policy-2.6.1-4.fc7
Comment 2 Daniel Walsh 2007-08-22 10:14:48 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.